AM261x MCU+ SDK: Icssg_FwPoolMem Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
Icssg_FwPoolMem Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Peripherals » ICSSG Peripheral

## Detailed Description

ICSSG buffer pool memories.

Memory used by ICSSG firmware for host and port buffer pools, as well as, host egress queues.

## Data Fields
uint8_t * | portBufferPoolMem
uint32_t | portBufferPoolSize
uint32_t | portBufferPoolNum
uint8_t * | hostBufferPoolMem
uint32_t | hostBufferPoolSize
uint32_t | hostBufferPoolNum
uint8_t * | hostEgressQueueMem
uint8_t * | hostEgressPreQueueMem
uint32_t | hostEgressQueueSize
uint32_t | hostEgressPreQueueSize
uint32_t | hostEgressQueueNum
uint8_t * | scratchBufferMem
uint32_t | scratchBufferSize

## Field Documentation

## ◆ portBufferPoolMem

uint8_t* Icssg_FwPoolMem::portBufferPoolMem

Address of the port buffer pool memory. The total size of this memory must be portBufferPoolSize * portBufferPoolNum

## ◆ portBufferPoolSize

uint32_t Icssg_FwPoolMem::portBufferPoolSize

Size of each port buffer pool

## ◆ portBufferPoolNum

uint32_t Icssg_FwPoolMem::portBufferPoolNum

Number of port buffer pools

## ◆ hostBufferPoolMem

uint8_t* Icssg_FwPoolMem::hostBufferPoolMem

Address of the host buffer pool memory. The total size of this memory must be hostBufferPoolSize * hostBufferPoolNum

## ◆ hostBufferPoolSize

uint32_t Icssg_FwPoolMem::hostBufferPoolSize

Size of each host buffer pool

## ◆ hostBufferPoolNum

uint32_t Icssg_FwPoolMem::hostBufferPoolNum

Number of host buffer pools

## ◆ hostEgressQueueMem

uint8_t* Icssg_FwPoolMem::hostEgressQueueMem

Address of the host egress queue memory. The total size of this memory must be hostEgressQueueSize * hostEgressQueueNum

## ◆ hostEgressPreQueueMem

uint8_t* Icssg_FwPoolMem::hostEgressPreQueueMem

Address of the host egress queue memory. The total size of this memory must be hostEgressQueueSize * hostEgressQueueNum

## ◆ hostEgressQueueSize

uint32_t Icssg_FwPoolMem::hostEgressQueueSize

Size of each egress queue. This size value must include the actual egress queue size and also padding scratchBufferMem (2 kB)

## ◆ hostEgressPreQueueSize

uint32_t Icssg_FwPoolMem::hostEgressPreQueueSize

Size of each egress queue. This size value must include the actual egress queue size and also padding buffer (2 kB)

## ◆ hostEgressQueueNum

uint32_t Icssg_FwPoolMem::hostEgressQueueNum

Number of egress queues

## ◆ scratchBufferMem

uint8_t* Icssg_FwPoolMem::scratchBufferMem

Address of the scratch buffer used for error frames and large frames

## ◆ scratchBufferSize

uint32_t Icssg_FwPoolMem::scratchBufferSize

Size of the scratch buffer